@import "../base/variable.scss";
@import "../base/mixins.scss";

.el_modal {
    z-index: 99995;
    .modal-dialog {
        width: 700px;
        max-width: 96%;
        .modal-content {
            border: 0;
            border-radius: 0;
            padding: 40px;
            box-shadow: none;
            background-color: $white;
            border-radius: 20px;
            box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
            position: relative;
            .modal-header {
                margin: 0;
                padding: 0;
                padding-top: 20px;
                padding-bottom: 20px;
                border: 0;
                h5 {
                    padding-bottom: 0;
                }
                .modal-title {
                    color: $black;
                    font-weight: 600;
                    font-size: 24px;
                }

                .btn-close {
                    position: absolute;
                    right: 0;
                    top: 0;
                    background: none;
                    padding: 0;
                    margin-right: 37px;
                    margin-top: 21px;
                    opacity: 1;
                    z-index: 9;
                }
            }
            .modal-body {
                margin: 0;
                padding: 0px 0px;
                border: 0;
                .form-body {
                    .form-group {
                        margin-bottom: 15px;
                        textarea {
                            height: auto !important;
                        }
                        .form-control {
                            height: 48px;
                            border-radius: 20px;
                            background-color: $form-input;
                            &.form-textarea {
                                height: auto;
                            }
                        }
                    }
                }
            }
            .modal-footer {
                margin: 0;
                padding: 0px 0px 20px 0px;
                border: 0;
                display: block;
                @include clearfix();
                .left_btn {
                    float: left;
                    margin: 0;
                }
                .right_btn {
                    margin: 0;
                    float: right;
                }
                .btn {
                    width: 160px;
                    height: 46px;
                    margin: 0;
                    padding: 0;
                    text-align: center;
                    line-height: 46px;
                }
            }
        }
    }
    &.health_test{
        .modal-dialog{
            .modal-content{
                border-radius: 5px;
                .modal-body{
                    .form-group{
                        .form-control{
                            padding: 0 15px;
                        }
                    }
                    .credit_detail{
                        h5{
                            font-size: 18px;
                            font-weight: 500;
                            padding: 15px 0;
                        }
                        p{
                            font-size:14px;
                            font-weight: 500;
                            padding: 10px 0;
                        }
                        .icon_add{
                            margin: 0 auto;
                            text-align: center;
                            border:1px dashed $black;
                            border-radius: 5px;
                            label{
                                padding-bottom: unset;
                            }
                            h5{
                               font-size: 12px;
                               font-weight: 500;
                               color: $offfspra2;
                               padding: 30px 0;
                               span{
                                   padding-right: 8px;
                                   i{
                                       color: $black;
                                       font-weight: 500;
                                       font-size: 16px;
                                   }
                                } 
                            }
                        }
                        .button{
                            padding-top:25px;
                            margin: 0 auto;
                            text-align: center;
                            a{
                                border-radius: 5px;
                            }
                        }
                    }
                }
            }
        }
    }
    &.privacy_policy{
        .modal-dialog{
            .modal-content{
                border-radius: 5px;
                .modal-header{
                    .modal-title{
                        font-weight: 400;
                        font-size: 48px;
                        word-break: break-word;
                    }
                }
                .modal-body{
                    padding-bottom: 30px;
                    .content_box{
                        overflow-y: auto;
                        max-height: 440px;
                        -webkit-appearance: none;
                        .content{
                            padding-top: 30px;
                            padding-right: 20px;
                            h1,h2,h3,h4{
                                font-size:  24px;
                                font-weight: 500;
                                line-height: 30px;
                                text-align: left;
                                padding-bottom: 20px;
                                word-break: break-word;
                                u{
                                    text-decoration: none;
                                    border-bottom: 4px solid $black;

                                }
                            }
                            p{
                                font-size: 14px;
                                font-weight: 500;
                                line-height: 24px;
                                color: $black2;
                                padding-bottom: 10px;
                                word-break: break-word;
                            }
                            ul{
                                li{
                                    font-size: 14px;
                                    font-weight: 500;
                                    line-height: 24px;
                                    color: $black2;
                                    padding-bottom: 10px;
                                    word-break: break-word;
                                    padding-left: 18px;
                                    position: relative;
                                    &::before{
                                        position: absolute;
                                        content: "";
                                        background-color: $black;
                                        width: 8px;
                                        height: 8px;
                                        top: 8px;
                                        left: 0;
                                        border-radius: 50%;
                                    }
                                }
                            }
                            ol{
                                padding-left: 15px;
                                li{
                                    font-size: 14px;
                                    font-weight: 500;
                                    line-height: 24px;
                                    color: $black2;
                                    padding-bottom: 10px;
                                    word-break: break-word;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    &.get_notified{
        .modal-dialog{
            width: 550px;
            .modal-content{
                border-radius: 5px;
                .modal-body{
                    .inner_area{
                        p{
                            font-size:14px;
                            font-weight: 500;
                            padding-bottom: 10px;
                            color: $black;
                        }
                        h6{
                            font-size: 14px;
                            font-weight: 500;
                            color: $offfspra2;
                            padding-bottom: 15px;
                        }
                        .accordion{
                            .accordion-item{
                                position: relative;
                                z-index: 2;
                                margin-bottom: 25px;
                                border-radius: 5px;
                                border: none;
                                background-color: $white; 
                                h2{
                                    font-family: 'Montserrat';
                                .accordion-button{
                                        position: relative;
                                        z-index: 2;
                                        background-color: $input;
                                        border-radius: 5px;
                                        padding: 20px 20px;
                                        color: $offfspra2;
                                        font-weight: 500;
                                        font-size: 14px;
                                        box-shadow: none;
                                        position: relative;
                                        z-index: 2;
                                        
                                        &:after{
                                            display: none;
                                        }
                                        &:before{
                                            position: absolute;
                                            z-index: 2;
                                            content: '\f0d8';
                                            font-family: 'Font Awesome 5 Pro';
                                            font-weight: 600;
                                            top: 0px;
                                            right: 0;
                                            background-color: $input;
                                            width: 55px;
                                            height: 55px;
                                            font-size: 24px;
                                            text-align: center;
                                            line-height: 60px;
                                            border-radius: 5px;
                                            color: $black;
                                        }
                                        &.collapsed{
                                            &:before{
                                                content: '\f0d7';
                                            }
                                        }
                                    }
                                }
                                .accordion-collapse{
                                    .accordion-body{
                                        background-color: $body;
                                        padding: 30px;
                                    }
                                }
                            }
                        }
                        .button{
                            padding-top:25px;
                            margin: 0 auto;
                            text-align: center;
                            a{
                                border-radius: 5px;
                            }
                        }
                    }
                }
            }
        }
    }
    &.add_dog{
        .modal-dialog{
            .modal-content{
                border-radius: 5px;
                .modal-body{
                    .inner_area{
                        .button{
                            margin: 0 auto;
                            text-align: center;
                            margin-top: 40px;
                            a{
                                &.btn-primary-2{
                                    width: 240px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    &.get_subscriber_plan{
        .modal-dialog{
            width: 400px;
            .modal-content{
                border-radius: 5px;
                .modal-body{
                    .inner_area{
                        .image{
                            width: 72px;
                            height: 72px;
                            margin: 0 auto;
                            text-align: center;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                        .content{
                            padding-top: 10px;
                            margin: 0 auto;
                            text-align: center;
                            p{
                                font-size:16px;
                                font-weight: 500;
                            }
                        }
                        .button{
                            padding-top:30px;
                            margin: 0 auto;
                            text-align: center;
                        }
                    }
                }
            }
        }
    }
    &.instruction_tips{
        .modal-dialog{
            width: 550px;
            .modal-content{
                border-radius: 5px;
                .modal-header{
                    border-bottom: 1px solid $border_line;
                    padding-bottom: 35px;
                    .btn-close{
                        margin-top: 20px;
                        margin-right: 20px;
                    }
                }
                .modal-body{
                    .inner_area{
                        p{
                            font-size:14px;
                            font-weight: 500;
                            color: $black2;
                            padding-top: 25px;
                            padding-bottom: 0;
                        }
                    }
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 3891px) and (max-width: 5120px) {}

/* Extra Huge large desktops */
@media (min-width: 3831px) and (max-width: 3891px) {}

/* Extra Huge large desktops */
@media (min-width: 2840px) and (max-width: 3831px) {
    .el_modal {
        &.get_notified{
            .modal-dialog{
                width: 1100px;
                .modal-content{
                    padding-left: 70px;
                    padding-right: 70px;
                    .modal-header{
                        .btn-close{
                            margin-right: 40px;
                            margin-top: 40px;
                            padding: 45px 45px !important;
                            i{
                                font-size: 44px;
                            }
                        }
                        .modal-title{
                            font-size: 80px;
                        }
                    }
                    .modal-body{
                        padding-top: 50px;
                        .inner_area{
                            p{
                                font-size:50px;
                            }
                            h6{
                                padding-top: 30px;
                                font-size: 50px;
                            }
                            .accordion{
                                padding-top: 30px;
                                .accordion-item{
                                    h2{
                                        .accordion-button{
                                            font-size: 48px;
                                            padding: 50px 50px;
                                            &:before{
                                                width: 65px;
                                                height: 65px;
                                                font-size: 50px;
                                                line-height: 130px;
                                                padding-right: 70px;
                                            }
                                        }
                                    }
                                }
                            }
                            .form-group{
                                padding-top: 30px;
                                label{
                                    font-size: 50px;
                                }
                            }
                            .button{
                                padding-top:25px;
                                padding-bottom:20px;
                                margin: 0 auto;
                                text-align: center;
                                a{
                                    border-radius: 5px;
                                    &.btn-primary-2{
                                        width: 260px;
                                        height: 95px;
                                        line-height: 95px;
                                        font-size: 36px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 2560px) and (max-width: 3850px) {}

/* Extra Huge large desktops */
@media (min-width: 1921px) and (max-width: 2560px) {}


/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {

}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .el_modal{
        &.instruction_tips{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding-bottom: 28px;
                    }
                    .modal-body{
                        .inner_area{
                            p{
                                padding-top: 20px;
                                
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .el_modal{
        &.privacy_policy{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding-top: 10px;
                        padding-bottom: 10px;
                        .modal-title{
                            font-weight: 400;
                            font-size: 45px;
                        }
                    }
                }
            }
        }
        &.get_subscriber_plan{
            .modal-dialog{
                .modal-content{
                    padding: 23px;
                    .modal-body{
                        .inner_area{
                            .image{
                                width: 55px;
                                height: 55px;
                            }
                            .button{
                                padding-top:20px;
                                margin: 0 auto;
                                text-align: center;
                                a{
                                   &.btn-primary{
                                    width: 120px;
                                    height: 46px;
                                    line-height: 46px;
                                   }
                                }
                            }
                        }
                    }
                }
            }
        }
        &.instruction_tips{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding-bottom: 28px;
                    }
                    .modal-body{
                        .inner_area{
                            p{
                                padding-top: 20px;
                                
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .el_modal {
        .modal-dialog {
            width: auto;
            .modal-content {
                padding: 10px;
                .modal-header {
                    padding: 15px;
                }
                .modal-body {
                    padding-left: 15px;
                    padding-right: 15px;
                }
                .modal-footer {
                    padding: 0px 15px 15px 15px;
                    .btn {
                        width: 120px;
                        height: 40px;
                        line-height: 40px;
                    }
                }
            }
        }
        &.health_test{
            .modal-dialog{
                width: auto;
                .modal-content{
                    .modal-header{
                        .modal-title{
                            font-size: 18px;
                        }
                    } 
                    .modal-body{
                        .credit_detail{
                            .button{
                                padding-top: 15px;
                                padding-bottom: 10px;
                            }
                        }
                    }
                }
            }
        }
        &.privacy_policy{
            .modal-dialog{
                .modal-content{
                    border-radius: 5px;
                    .modal-header{
                        .modal-title{
                            font-size: 30px;
                        }
                        .btn-close{
                            margin-top: 10px;
                            margin-right: 10px;
                        }
                    }
                    .modal-body{
                        padding-bottom: 20px;
                        .content_box{
                            .content{
                                padding-top: 15px;
                                padding-right: 25px;
                                h6{
                                    padding-bottom: 10px;
                                    font-size: 18px;
                                    line-height: 25px;
                                }
                                p{
                                    line-height: 22px;
                                }
                            }
                        }
                    }
                }
            }
        }
        &.add_dog{
            .modal-dialog{ 
                .modal-content{ 
                    .modal-body{
                        .inner_area{ 
                            .button{
                                margin-top: 18px;
                                margin-bottom: 10px;
                            }
                        }
                    }
                }
            }
        }
        &.get_subscriber_plan{
            .modal-dialog{
                .modal-content{
                    .modal-body{
                        padding-top: 10px;
                        padding-bottom: 10px;
                        .inner_area{
                            .image{
                                width: 60px;
                                height: 60px;
                            }
                            .content{
                                p{
                                    font-size: 15px;
                                }
                            }
                            .button{
                                padding-top:20px;
                                margin: 0 auto;
                                text-align: center;
                                a{
                                   &.btn-primary{
                                    width: 120px;
                                    height: 46px;
                                    line-height: 46px;
                                   }
                                }
                            }
                        }
                    }
                }
            }
        }
        &.instruction_tips{
            .modal-dialog{
                .modal-content{
                    padding-bottom: 30px;
                    .modal-header{
                        padding-bottom: 26px;
                        padding-top: 45px;
                    }
                    .modal-body{
                        .inner_area{
                            p{
                                padding-top: 18px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .el_modal {
        .modal-dialog {
            width: auto;
            .modal-content {
                padding: 10px;
                .modal-header {
                    padding: 15px;
                }
                .modal-body {
                    padding-left: 15px;
                    padding-right: 15px;
                }
                .modal-footer {
                    padding: 0px 15px 15px 15px;
                    .btn {
                        width: 120px;
                        height: 40px;
                        line-height: 40px;
                    }
                }
            }
        }
        &.health_test{
            .modal-dialog{
                width: auto;
                .modal-content{
                    .modal-header{
                        .modal-title{
                            font-size: 18px;
                        }
                    }
                    .modal-body{
                        .credit_detail{
                            .button{
                                padding-top: 15px;
                                padding-bottom: 10px;
                            }
                        }
                    }
                }
            }
        }
        &.privacy_policy{
            .modal-dialog{
                .modal-content{
                    border-radius: 5px;
                    .modal-header{
                        .modal-title{
                            font-size: 30px;
                        }
                        .btn-close{
                            margin-top: 10px;
                            margin-right: 10px;
                        }
                    }
                    .modal-body{
                        padding-bottom: 20px;
                        .content_box{
                            .content{
                                padding-top: 15px;
                                padding-right: 20px;
                                h6{
                                    padding-bottom: 10px;
                                    font-size: 20px;
                                    line-height: 27px;
                                }
                            }
                        }
                    }
                }
            }
        }
        &.add_dog{
            .modal-dialog{ 
                .modal-content{ 
                    .modal-body{
                        .inner_area{ 
                            .button{
                                margin-top: 18px;
                                margin-bottom: 10px;
                            }
                        }
                    }
                }
            }
        }
        &.get_subscriber_plan{
            .modal-dialog{
                .modal-content{
                    .modal-body{
                        padding-top: 10px;
                        padding-bottom: 10px;
                        .inner_area{
                            .image{
                                width: 60px;
                                height: 60px;
                            }
                            .content{
                                p{
                                    font-size: 15px;
                                }
                            }
                            .button{
                                padding-top:20px;
                                margin: 0 auto;
                                text-align: center;
                                a{
                                   &.btn-primary{
                                    width: 120px;
                                    height: 46px;
                                    line-height: 46px;
                                   }
                                }
                            }
                        }
                    }
                }
            }
        }
        &.instruction_tips{
            .modal-dialog{
                .modal-content{
                    padding-bottom: 30px;
                    .modal-header{
                        padding-bottom: 24px;
                        padding-top: 45px;
                    }
                    .modal-body{
                        .inner_area{
                            p{
                                padding-top: 17px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    .el_modal {
        .modal-dialog {
            width: auto;
            .modal-content {
                padding: 10px;
                .modal-header {
                    padding: 15px;
                }
                .modal-body {
                    padding-left: 15px;
                    padding-right: 15px;
                }
                .modal-footer {
                    padding: 0px 15px 15px 15px;
                    .btn {
                        width: 120px;
                        height: 40px;
                        line-height: 40px;
                    }
                }
            }
        }
    }
}